[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# Tfields.GetEnumerator

Return an enumerator for the for..in construct

## Declaration

Source position: db.pas line 1088

`public function Tfields.GetEnumerator: TFieldsEnumerator;`

## Description

GetEnumerator is the implementation of IEnumerable and returns an instance of TFieldsEnumerator

## See also

TFieldsEnumerator |  | Default enumerator for the fields collection of a dataset.
#rtl.system.IEnumerable

The latest version of this document can be found at lazarus-ccr.sourceforge.net.